"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_alipay_1 = __importDefault(require("../mtop/index.alipay"));
var BindDevice = /** @class */function () {
    function BindDevice() {}
    BindDevice.prototype.bindDevice = function (options) {
        var productKey = options.productKey,
            deviceName = options.deviceName,
            networkType = options.networkType,
            token = options.token,
            success = options.success,
            fail = options.fail,
            complete = options.complete;
        index_alipay_1.default.sendMtop({
            api: 'mtop.alibaba.aicloud.iot.binddeviceForAlipay',
            v: '1.0',
            needLogin: true,
            data: {
                productKey: productKey,
                deviceName: deviceName,
                networkType: networkType || 'wifi',
                token: token
            },
            success: success,
            fail: fail,
            complete: complete
        });
    };
    return BindDevice;
}();
exports.default = new BindDevice();