"use strict";

var _assign = require("babel-runtime/core-js/object/assign");

var _assign2 = _interopRequireDefault(_assign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_alipay_1 = __importDefault(require("../mtop/index.alipay"));
var AddDevicePrepare = /** @class */function () {
    function AddDevicePrepare() {}
    AddDevicePrepare.prototype.getDeviceConfigToken = function (request) {
        var finalRequest = (0, _assign2.default)({}, {
            networkType: 'wifi',
            random: '00000000000000000000000000000000'
        }, request);
        var productKey = finalRequest.productKey,
            networkType = finalRequest.networkType,
            random = finalRequest.random,
            success = finalRequest.success,
            fail = finalRequest.fail,
            complete = finalRequest.complete;
        index_alipay_1.default.sendMtop({
            api: 'mtop.alibaba.aicloud.iot.getTokenForAliPay',
            v: '1.0',
            data: {
                productKey: productKey,
                networkType: networkType,
                random: random
            },
            success: success,
            fail: fail,
            complete: complete
        });
    };
    return AddDevicePrepare;
}();
;
exports.default = new AddDevicePrepare();