"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_alipay_1 = __importDefault(require("./mtop/index.alipay"));
exports.mtop = index_alipay_1.default;
var index_alipay_2 = __importDefault(require("./device-panel/index.alipay"));
exports.devicePanel = index_alipay_2.default;
var index_alipay_3 = __importDefault(require("./device-list/index.alipay"));
exports.deviceList = index_alipay_3.default;
var index_1 = __importDefault(require("./add-device/index"));
var aiot = {
    sendMtop: index_alipay_1.default.sendMtop.bind(index_alipay_1.default),
    getDeviceList: index_alipay_3.default.getDeviceList.bind(index_alipay_3.default),
    onDeviceListChange: index_alipay_3.default.onDeviceListChange.bind(index_alipay_3.default),
    offDeviceListChange: index_alipay_3.default.offDeviceListChange.bind(index_alipay_3.default),
    controlDevice: index_alipay_2.default.controlDevice.bind(index_alipay_2.default),
    getDeviceStatus: index_alipay_2.default.getDeviceStatus.bind(index_alipay_2.default),
    getProductInfo: index_alipay_2.default.getProductInfo.bind(index_alipay_2.default),
    getProductTSL: index_alipay_2.default.getProductTSL.bind(index_alipay_2.default),
    deleteDevice: index_alipay_2.default.deleteDevice.bind(index_alipay_2.default),
    onSyncDeviceInfo: index_alipay_2.default.onDeviceStatusChange.bind(index_alipay_2.default),
    offSyncDeviceInfo: index_alipay_2.default.offDeviceStatusChange.bind(index_alipay_2.default),
    startAddDevice: index_1.default.startAddDevice.bind(index_1.default),
    stopAddDevice: index_1.default.stopAddDevice.bind(index_1.default),
    onAddDeviceStatusChagne: index_1.default.onAddDeviceStatusChagne.bind(index_1.default),
    offAddDeviceStatusChange: index_1.default.offAddDeviceStatusChange.bind(index_1.default),
};
exports.default = aiot;
