"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_alipay_1 = __importDefault(require("./mtop/index.alipay"));
exports.mtop = index_alipay_1.default;
var index_tg_1 = __importDefault(require("./device-panel/index.tg"));
exports.devicePanel = index_tg_1.default;
var index_tg_2 = __importDefault(require("./device-list/index.tg"));
exports.deviceList = index_tg_2.default;
var aiot_tmp_sdk_1 = require("@alife/aiot-tmp-sdk");
var _a = my.getSystemInfoSync(), app = _a.app, model = _a.model, version = _a.version;
var _aiot = {
    sendMtop: index_alipay_1.default.sendMtop.bind(index_alipay_1.default),
    getDeviceList: index_tg_2.default.getDeviceList.bind(index_tg_2.default),
    onDeviceListChange: index_tg_2.default.onDeviceListChange.bind(index_tg_2.default),
    offDeviceListChange: index_tg_2.default.offDeviceListChange.bind(index_tg_2.default),
    controlDevice: index_tg_1.default.controlDevice.bind(index_tg_1.default),
    controlMeshDevice: index_tg_1.default.controlMeshDevice.bind(index_tg_1.default),
    getDeviceStatus: index_tg_1.default.getDeviceStatus.bind(index_tg_1.default),
    getDeviceConnectStatus: index_tg_1.default.getDeviceConnectStatus.bind(index_tg_1.default),
    getProductInfo: index_tg_1.default.getProductInfo.bind(index_tg_1.default),
    getProductTSL: index_tg_1.default.getProductTSL.bind(index_tg_1.default),
    deleteDevice: index_tg_1.default.deleteDevice.bind(index_tg_1.default),
    onSyncDeviceInfo: index_tg_1.default.onDeviceStatusChange.bind(index_tg_1.default),
    offSyncDeviceInfo: index_tg_1.default.offDeviceStatusChange.bind(index_tg_1.default)
};
var tmpSdk = {
    startLocalConnect: aiot_tmp_sdk_1.device.startLocalConnect.bind(aiot_tmp_sdk_1.device),
    stopLocalConnect: aiot_tmp_sdk_1.device.stopLocalConnect.bind(aiot_tmp_sdk_1.device),
    controlDevice: aiot_tmp_sdk_1.device.controlDevice.bind(aiot_tmp_sdk_1.device),
    getDeviceStatus: aiot_tmp_sdk_1.device.getDeviceStatus.bind(aiot_tmp_sdk_1.device),
    getProductInfo: aiot_tmp_sdk_1.device.getProductInfo.bind(aiot_tmp_sdk_1.device),
    getProductTSL: aiot_tmp_sdk_1.device.getProductTSL.bind(aiot_tmp_sdk_1.device),
    deleteDevice: aiot_tmp_sdk_1.device.deleteDevice.bind(aiot_tmp_sdk_1.device),
    getDeviceConnectStatus: aiot_tmp_sdk_1.device.getDeviceConnectStatus.bind(aiot_tmp_sdk_1.device),
    getDeviceDetail: aiot_tmp_sdk_1.device.getDeviceDetail.bind(aiot_tmp_sdk_1.device),
    onConnectStatusChange: aiot_tmp_sdk_1.device.onConnectStatusChange.bind(aiot_tmp_sdk_1.device),
    onDeviceStatusChange: aiot_tmp_sdk_1.device.onDeviceStatusChange.bind(aiot_tmp_sdk_1.device),
    onGenieBoxStatusChange: aiot_tmp_sdk_1.device.onGenieBoxStatusChange.bind(aiot_tmp_sdk_1.device),
    onDeviceControlChange: aiot_tmp_sdk_1.device.onDeviceControlChange.bind(aiot_tmp_sdk_1.device),
    onBluetoothStateChange: aiot_tmp_sdk_1.device.onBluetoothStateChange.bind(aiot_tmp_sdk_1.device),
};
var aiot = __assign({}, _aiot);
if (app === 'TGenie' && version >= '5.3') {
    aiot = __assign(__assign({}, _aiot), tmpSdk);
}
Object.assign(my, { aiot: aiot });
exports.default = aiot;
