import IDeviceListAPI, { Device, GetDeviceOptions, DeviceListChangeMessage } from '@alife/tg-iot-interface-api-device-list';
export declare class DeviceCache {
    [key: string]: Device;
}
export declare class DeviceList implements IDeviceListAPI {
    private appInfoDefault;
    localAppInfo: {
        appName: string;
        appVersion: string;
        deviceModel: string;
        osVersion: string;
        platform: string;
    };
    private _deviceCache;
    constructor();
    get deviceCache(): DeviceCache;
    getDeviceList(request: GetDeviceOptions): void;
    private _handleResponse;
    onDeviceListChange(callback: (msg: Array<DeviceListChangeMessage>) => void): void;
    offDeviceListChange(callback: (msg: Array<DeviceListChangeMessage>) => void): void;
    log(msg: any): void;
}
declare const _default: DeviceList;
export default _default;
