'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _instrument = require('./methods/instrument');

var _jsBridge = require('./core/jsBridge');

var _jsBridge2 = _interopRequireDefault(_jsBridge);

var _Mtop = require('./core/Mtop');

var _Mtop2 = _interopRequireDefault(_Mtop);

var _tools = require('./methods/tools');

var _tools2 = _interopRequireDefault(_tools);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import PageSpm from './methods/pageSpm'
var ai = function (_Mixins) {
  (0, _inherits3.default)(ai, _Mixins);

  function ai(args) {
    (0, _classCallCheck3.default)(this, ai);

    var _this = (0, _possibleConstructorReturn3.default)(this, (ai.__proto__ || (0, _getPrototypeOf2.default)(ai)).call(this, args));

    _this.Params = args;
    _this.systemInfo = my.getSystemInfoSync();
    _this.console = _this.Params.console;
    _this.container = _this.Params.container;
    // this.screenName = this.Params.screenName
    _this.spmA = _this.Params.spmA;
    _this.spmB = _this.Params.spmB;

    _this.distributeMtop(); // mtop接口分发
    _this.navbarBack();
    return _this;
  }
  /**
   * 轮询
   * @param {*} callback 成功回调
   * @param {*} errorCallback 异常回调
   */


  (0, _createClass3.default)(ai, [{
    key: 'deviceStatusPolling',
    value: function deviceStatusPolling() {
      var callback = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : function () {};
      var errorCallback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {};
    }
  }]);
  return ai;
}((0, _instrument.Mixins)(_tools2.default, _jsBridge2.default, _Mtop2.default));

exports.default = ai;