"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_alipay_1 = __importDefault(require("./index.alipay"));
var index_tg_1 = __importDefault(require("./index.tg"));
var index_cc_1 = __importStar(require("./index.cc"));
var index_rtos_1 = __importStar(require("./index.rtos"));
(function () {
    // 防止重复挂载
    if (my.aiot) {
        return;
    }
    var _a = my.getSystemInfoSync(), app = _a.app, model = _a.model, version = _a.version;
    console.log('>> initialize my.aiot for', app + "@" + version, model);
    // 各个已知客户端的 app 取值
    // 支付宝: "alipay"
    // 猫精: "TGenie"
    // 猫精CC: "genie", "GenieWebApps"
    // 猫精二郎神: "UNKNOWN"
    if (app === 'UNKNOWN' && model === 'AliOSThings') {
        Object.assign(my, {
            aiot: index_rtos_1.default
        });
        index_rtos_1.steupEventListenerForRTOS();
    }
    else if (app === 'genie' || app === 'GenieWebApps' || (app !== 'TGenie' && model.indexOf('AILABS') >= 0)) {
        Object.assign(my, {
            aiot: index_cc_1.default
        });
        index_cc_1.steupEventListenerForCC();
    }
    else if (app === 'TGenie') {
        Object.assign(my, {
            aiot: index_tg_1.default,
        });
    }
    else {
        Object.assign(my, {
            aiot: index_alipay_1.default
        });
    }
})();
