import mtop from './mtop/index.alipay';
import devicePanel from './device-panel/index.alipay';
import deviceList from './device-list/index.alipay';
import addDevice from './add-device/index';

export { mtop, devicePanel, deviceList };

const aiot = {
    sendMtop: mtop.sendMtop.bind(mtop),
    getDeviceList: deviceList.getDeviceList.bind(deviceList),
    onDeviceListChange: deviceList.onDeviceListChange.bind(deviceList),
    offDeviceListChange: deviceList.offDeviceListChange.bind(deviceList),
    controlDevice: devicePanel.controlDevice.bind(devicePanel),
    getDeviceStatus: devicePanel.getDeviceStatus.bind(devicePanel),
    getProductInfo: devicePanel.getProductInfo.bind(devicePanel),
    getProductTSL: devicePanel.getProductTSL.bind(devicePanel),
    deleteDevice: devicePanel.deleteDevice.bind(devicePanel),
    onSyncDeviceInfo: devicePanel.onDeviceStatusChange.bind(devicePanel),
    offSyncDeviceInfo: devicePanel.offDeviceStatusChange.bind(devicePanel),
    startAddDevice: addDevice.startAddDevice.bind(addDevice),
    stopAddDevice: addDevice.stopAddDevice.bind(addDevice),
    onAddDeviceStatusChagne: addDevice.onAddDeviceStatusChagne.bind(addDevice),
    offAddDeviceStatusChange: addDevice.offAddDeviceStatusChange.bind(addDevice),
};

export default aiot;